apiVersion: v1
kind: ConfigMap
metadata:
  name: headscale-etc
data:
  config.yaml: |
    server_url: http://headscale.tbrnt.ch
    listen_addr: 0.0.0.0:8080
    metrics_listen_addr: 0.0.0.0:9090
    grpc_listen_addr: 0.0.0.0:50443
    ip_prefixes:
      - fd7a:115c:a1e0::/48
      - 100.64.0.0/10
    ephemeral_node_inactivity_timeout: 30m
    db_type: sqlite3
    db_path: /vol/data/db.sqlite
    private_key_path: /vol/secret/private.key
    noise:
      private_key_path: /vol/secret/noise_private.key
    derp:
      server:
        enabled: true
        region_id: 999
        region_code: "headscale"
        region_name: "Headscale Embedded DERP"
        stun_listen_addr: "0.0.0.0:3478"
      urls:
        - https://controlplane.tailscale.com/derpmap/default
      auto_update_enabled: true
      update_frequency: 24h
    dns_config:
      nameservers:
        - 9.9.9.9
      base_domain: vpn.tobru.ch
      magic_dns: true
      extra_records:
        - name: "pi.camper.tobru.ch"
          type: "A"
          value: "100.64.0.16"
        - name: "pihole.camper.tobru.ch"
          type: "A"
          value: "100.64.0.16"
        - name: "grafana.camper.tobru.ch"
          type: "A"
          value: "100.64.0.16"
        - name: "influxdb.camper.tobru.ch"
          type: "A"
          value: "100.64.0.16"
        - name: "argocd.camper.tobru.ch"
          type: "A"
          value: "100.64.0.16"
        - name: "router.camper.tobru.ch"
          type: "A"
          value: "100.64.0.19"
